Get Contract Trigger Statistics
1. Overview & Typical Use
Returns daily contract trigger data for a specified time range, including trigger count trends and period-over-period change rates.
- Typical use: analyzing the trend changes in network-wide contract trigger transactions.
- When not to use: to view caller count trends use “Get Contract Call Statistics”.
2. Endpoint & Authentication
GET /api/triggerstatistic
For Base URL and authentication, see Common Network & Authentication.
3. Request
Fields
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
start_timestamp | integer | No | Earliest statistics start | Start timestamp, millisecond precision |
end_timestamp | integer | No | Current time | End timestamp, millisecond precision |
limit | integer | No | 1000 | Maximum data count |
4. Response
Fields
Top-level
| Field | Type | Required | Description | Unit/Precision |
|---|---|---|---|---|
total | integer | Required | Number of data records | — |
max | object | Required | Record with the highest trigger count | — |
min | object | Required | Record with the lowest trigger count | — |
avg_trigger_count | string | Required | Average daily trigger count | — |
trigger_ratio | string | Required | Trigger count change rate | — |
data | array | Required | Daily trigger data list; see below | — |
data[] elements
| Field | Type | Required | Description | Unit/Precision |
|---|---|---|---|---|
dayStr | string | Required | Statistics date | yyyy-MM-dd |
day | integer | Required | Statistics date timestamp | Millisecond timestamp |
triggers_amount | integer | Required | Trigger count for the day | — |
triggers_amount_rate | number | Required | Period-over-period change rate | — |
5. Errors
For HTTP status codes, see Common Errors. Notes for this endpoint:
- Empty result is not an error: no matches returns
200+data: [], which is a normal response.
Last updated on: